org.keycloak.dom.saml.v2.protocol

## Class AttributeQueryType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonRequestAbstractType
  - - org.keycloak.dom.saml.v2.protocol.RequestAbstractType
    - - org.keycloak.dom.saml.v2.protocol.SubjectQueryAbstractType
      - - org.keycloak.dom.saml.v2.protocol.AttributeQueryType

- All Implemented Interfaces:
    Serializable, SAML2Object

      public class AttributeQueryType
      extends SubjectQueryAbstractType

  Java class for AttributeQueryType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AttributeQueryType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}SubjectQueryAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<AttributeType>` | `attribute`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.SubjectQueryAbstractType

      `subject`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `consent, destination, extensions, issuer, version`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `id, issueInstant, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeQueryType(String id, XMLGregorianCalendar instant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(AttributeType att)` Add an attribute
    `List<AttributeType>` | `getAttribute()` Gets the value of the attribute property.
    `void` | `remove(AttributeType att)` Remove an attribute

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.SubjectQueryAbstractType

      `getSubject, setSubject`

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `getConsent, getDestination, getExtensions, getIssuer, getVersion, setConsent, setDestination, setExtensions, setIssuer`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `getID, getIssueInstant, getSignature, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attribute

          protected List<AttributeType> attribute

  - ### Constructor Detail

    - #### AttributeQueryType

          public AttributeQueryType(String id,
                                    XMLGregorianCalendar instant)

  - ### Method Detail

    - #### add

          public void add(AttributeType att)

      Add an attribute
      Parameters:
        `att` -

    - #### remove

          public void remove(AttributeType att)

      Remove an attribute
      Parameters:
        `att` -

    - #### getAttribute

          public List<AttributeType> getAttribute()

      Gets the value of the attribute property.

Copyright © 2016 JBoss by Red Hat. All rights reserved.